################################################################################
# Automatically-generated file. Do not edit!
################################################################################

SHELL = cmd.exe

# Each subdirectory must supply rules for building sources it contributes
%.obj: ../%.c $(GEN_OPTS) | $(GEN_FILES) $(GEN_MISC_FILES)
	@echo 'Building file: "$<"'
	@echo 'Invoking: C2000 Compiler'
	"C:/ti/ccs2020/ccs/tools/compiler/ti-cgt-c2000_22.6.2.LTS/bin/cl2000" -v28 -ml -mt --cla_support=cla2 --float_support=fpu32 --tmu_support=tmu0 --vcu_support=vcu0 -Ooff --include_path="C:/Users/a0503118/epwm_testcases/hrpwm_ex2_slider" --include_path="C:/ti/c2000/C2000Ware_5_04_00_00" --include_path="C:/Users/a0503118/epwm_testcases/hrpwm_ex2_slider/device" --include_path="C:/ti/c2000/C2000Ware_5_04_00_00/driverlib/f28004x/driverlib/" --include_path="C:/ti/c2000/C2000Ware_5_04_00_00/libraries/calibration/hrpwm/f28004x/include/" --include_path="C:/ti/ccs2020/ccs/tools/compiler/ti-cgt-c2000_22.6.2.LTS/include" --define=DEBUG --diag_suppress=10063 --diag_warning=225 --diag_wrap=off --display_error_number --gen_func_subsections=on --abi=eabi --preproc_with_compile --preproc_dependency="$(basename $(<F)).d_raw" --include_path="C:/Users/a0503118/epwm_testcases/hrpwm_ex2_slider/CPU1_RAM/syscfg" $(GEN_OPTS__FLAG) "$<"
	@echo 'Finished building: "$<"'
	@echo ' '

build-344929823: ../hrpwm_ex2_slider.syscfg
	@echo 'Building file: "$<"'
	@echo 'Invoking: SysConfig'
	"C:/ti/ccs2020/ccs/utils/sysconfig_1.24.0/sysconfig_cli.bat" --script "C:/Users/a0503118/epwm_testcases/hrpwm_ex2_slider/hrpwm_ex2_slider.syscfg" -o "syscfg" -s "C:/ti/c2000/C2000Ware_5_04_00_00/.metadata/sdk.json" -d "F28004x" -p "F28004x_100PZ" -r "F28004x_100PZ" --compiler ccs
	@echo 'Finished building: "$<"'
	@echo ' '

syscfg/board.c: build-344929823 ../hrpwm_ex2_slider.syscfg
syscfg/board.h: build-344929823
syscfg/board.cmd.genlibs: build-344929823
syscfg/board.opt: build-344929823
syscfg/board.json: build-344929823
syscfg/pinmux.csv: build-344929823
syscfg/epwm.dot: build-344929823
syscfg/c2000ware_libraries.cmd.genlibs: build-344929823
syscfg/c2000ware_libraries.opt: build-344929823
syscfg/c2000ware_libraries.c: build-344929823
syscfg/c2000ware_libraries.h: build-344929823
syscfg/clocktree.h: build-344929823
syscfg: build-344929823

syscfg/%.obj: ./syscfg/%.c $(GEN_OPTS) | $(GEN_FILES) $(GEN_MISC_FILES)
	@echo 'Building file: "$<"'
	@echo 'Invoking: C2000 Compiler'
	"C:/ti/ccs2020/ccs/tools/compiler/ti-cgt-c2000_22.6.2.LTS/bin/cl2000" -v28 -ml -mt --cla_support=cla2 --float_support=fpu32 --tmu_support=tmu0 --vcu_support=vcu0 -Ooff --include_path="C:/Users/a0503118/epwm_testcases/hrpwm_ex2_slider" --include_path="C:/ti/c2000/C2000Ware_5_04_00_00" --include_path="C:/Users/a0503118/epwm_testcases/hrpwm_ex2_slider/device" --include_path="C:/ti/c2000/C2000Ware_5_04_00_00/driverlib/f28004x/driverlib/" --include_path="C:/ti/c2000/C2000Ware_5_04_00_00/libraries/calibration/hrpwm/f28004x/include/" --include_path="C:/ti/ccs2020/ccs/tools/compiler/ti-cgt-c2000_22.6.2.LTS/include" --define=DEBUG --diag_suppress=10063 --diag_warning=225 --diag_wrap=off --display_error_number --gen_func_subsections=on --abi=eabi --preproc_with_compile --preproc_dependency="syscfg/$(basename $(<F)).d_raw" --include_path="C:/Users/a0503118/epwm_testcases/hrpwm_ex2_slider/CPU1_RAM/syscfg" --obj_directory="syscfg" $(GEN_OPTS__FLAG) "$<"
	@echo 'Finished building: "$<"'
	@echo ' '


